Download the PHP package theseer/fdomdocument without Composer

On this page you can find all versions of the php package theseer/fdomdocument. It is possible to download/install these versions without Composer. Possible dependencies are resolved automatically.

Please rate this library. Is it a good library?

All versions of fdomdocument with dependencies

Informations about the package fdomdocument

fDOMDocument

The classes contained within this repository extend the standard DOM to use exceptions at all occasions of errors instead of PHP warnings or notices. They also add various custom methods and shortcuts for convenience and to simplify the usage of DOM.

Build Status

Requirements

PHP: 5.3.3 (5.3.0-5.3.2 had serious issues with spl stacked autoloaders)
Extensions: dom, libxml

Installation

Apart from cloning this repository, fDOMDocument can be installed using by any of the following methods.

Composer

As fDOMDocument is a library and does not provide any cli tools, you can only add it to your own project:

{
    "require": {
        "theseer/fdomdocument": "^1.6"
    }
}
YUM/DNF (Fedora / Redhat / CentOS)

The following command will install fDOMDocument via its RPM package:

sudo yum install php-theseer-fDOMDocument

Usage

fDOMDocument is designed as a drop in replacement for DOMDocument. You can either use the composer generated autoloader or the provided one.

Usage Samples

<root><child name="foo" /></root>');
} catch (fDOMException $e) {
    die($e);
}

$child = $dom->queryOne('//child');
print_r($child->getAttribute('name'));
print_r($child->getAttribute('missing','DefaultValue'));

?>

Changelog

Release 1.6.6
Releaes 1.6.5
Releaes 1.6.4
Releaes 1.6.3
Release 1.6.2
Release 1.6.1
Release 1.6.0
Release 1.5.0
Release 1.4.3
Release 1.4.2
Release 1.4.1
Release 1.4.0
Release 1.3.2
Release 1.3.1
Release 1.3.0
Release 1.2.4
Release 1.2.3
Release 1.2.2
Release 1.2.1
Release 1.2.0
Release 1.1.0
Release 1.0.2
Release 1.0.1
Release 1.0.0

Version
Requires php Version >=5.3.3
ext-dom Version *
lib-libxml Version *

The package theseer/fdomdocument contains the following files

Loading the files please wait ....